Bug 234979 - [ext2fs] [patch] Full read/write support for ext4 as on FBSD12
Summary: [ext2fs] [patch] Full read/write support for ext4 as on FBSD12
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-doc mailing list
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-01-15 18:27 UTC by Trevis Schiffer
Modified: 2019-06-11 18:47 UTC (History)
1 user (show)

See Also:


Attachments
Working copy against last "head/en_US.ISO8859-1/books/handbook/filesystems/chapter.xml (revision 52767)" (738 bytes, patch)
2019-01-15 18:27 UTC, Trevis Schiffer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Trevis Schiffer 2019-01-15 18:27:16 UTC
Created attachment 201166 [details]
Working copy against last "head/en_US.ISO8859-1/books/handbook/filesystems/chapter.xml (revision 52767)"

Previously, ext3 journaling and extended attributes were not supported. Support for ext4 was read-only, but as on FBSD 12, full ext2fs support is added.
Comment 1 Trevis Schiffer 2019-03-31 21:04:05 UTC
Still no merged? 
I am waiting for an update..!
Comment 2 Benedict Reuschling freebsd_committer 2019-06-09 15:03:00 UTC
I just found this PR and have created a review for it here: https://reviews.freebsd.org/D20571
Comment 3 commit-hook freebsd_committer 2019-06-11 18:46:24 UTC
A commit references this bug:

Author: bcr
Date: Tue Jun 11 18:45:24 UTC 2019
New revision: 53138
URL: https://svnweb.freebsd.org/changeset/doc/53138

Log:
  Extend the ext4 filesystem description a bit by mentioning the supported and
  unsupported features more clearly.

  PR:			234979
  Submitted by:		nikolaibitinit@gmail.com
  Reviewed by:		pfg, fsu
  Approved by:		fsu
  Differential Revision:	https://reviews.freebsd.org/D20571

Changes:
  head/en_US.ISO8859-1/books/handbook/filesystems/chapter.xml
Comment 4 Benedict Reuschling freebsd_committer 2019-06-11 18:47:34 UTC
I committed a modified patch, based on the feedback I got from pfg@ and fsu@ (thanks for that). Thanks for submitting the bug to us. PR closed.